From 55c09aeaa25b4bb88a50e09ba68fa6ff00a6d676 Mon Sep 17 00:00:00 2001
From: shixian.shi <shixian.shi@alibaba-inc.com>
Date: 星期一, 15 一月 2024 20:10:39 +0800
Subject: [PATCH] update readme, fix seaco bug

---
 runtime/run_server_2pass.sh |   33 +++++++++++++--------------------
 1 files changed, 13 insertions(+), 20 deletions(-)

diff --git a/runtime/run_server_2pass.sh b/runtime/run_server_2pass.sh
index e017708..2fc5f11 100644
--- a/runtime/run_server_2pass.sh
+++ b/runtime/run_server_2pass.sh
@@ -5,18 +5,25 @@
 vad_dir="damo/speech_fsmn_vad_zh-cn-16k-common-onnx"
 punc_dir="damo/punc_ct-transformer_zh-cn-common-vad_realtime-vocab272727-onnx"
 itn_dir="thuduj12/fst_itn_zh"
-decoder_thread_num=32
-model_thread_num=1
-io_thread_num=8
+lm_dir="damo/speech_ngram_lm_zh-cn-ai-wesp-fst"
 port=10095
 certfile="../../../ssl_key/server.crt"
 keyfile="../../../ssl_key/server.key"
 hotword="../../hotwords.txt"
+# set decoder_thread_num
+decoder_thread_num=$(cat /proc/cpuinfo | grep "processor"|wc -l) || { echo "Get cpuinfo failed. Set decoder_thread_num = 32"; decoder_thread_num=32; }
+multiple_io=16
+io_thread_num=$(( (decoder_thread_num + multiple_io - 1) / multiple_io ))
+model_thread_num=1
 
 . ../egs/aishell/transformer/utils/parse_options.sh || exit 1;
 
+if [ -z "$certfile" ] || [ "$certfile" = "0" ]; then
+  certfile=""
+  keyfile=""
+fi
+
 cd /workspace/FunASR/runtime/websocket/build/bin
-if [ -z "$certfile" ] || [ "$certfile" -eq 0 ]; then
 ./funasr-wss-server-2pass  \
   --download-model-dir "${download_model_dir}" \
   --model-dir "${model_dir}" \
@@ -24,21 +31,7 @@
   --vad-dir "${vad_dir}" \
   --punc-dir "${punc_dir}" \
   --itn-dir "${itn_dir}" \
-  --decoder-thread-num ${decoder_thread_num} \
-  --model-thread-num ${model_thread_num} \
-  --io-thread-num  ${io_thread_num} \
-  --port ${port} \
-  --certfile  "" \
-  --keyfile "" \
-  --hotword "${hotword}"
-else
-./funasr-wss-server-2pass  \
-  --download-model-dir "${download_model_dir}" \
-  --model-dir "${model_dir}" \
-  --online-model-dir "${online_model_dir}" \
-  --vad-dir "${vad_dir}" \
-  --punc-dir "${punc_dir}" \
-  --itn-dir "${itn_dir}" \
+  --lm-dir "${lm_dir}" \
   --decoder-thread-num ${decoder_thread_num} \
   --model-thread-num ${model_thread_num} \
   --io-thread-num  ${io_thread_num} \
@@ -46,4 +39,4 @@
   --certfile  "${certfile}" \
   --keyfile "${keyfile}" \
   --hotword "${hotword}"
-fi
+

--
Gitblit v1.9.1